package com.cityguide;

import android.app.Activity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;




public class Cultural extends Activity {  
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	super.onConfigurationChanged(newConfig);
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.cultural); 
    
    
    final ImageButton index = (ImageButton) findViewById(R.id.logodown);
    index.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openIndexActivity();
        }
    });
    
    
    final ImageButton train = (ImageButton) findViewById(R.id.train);
   train.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openTram_mapActivity();
        }
    });
   
   final ImageButton bus = (ImageButton) findViewById(R.id.bus);
   bus.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openBus_mapActivity();
        }
    });
   
   final Button art = (Button) findViewById(R.id.art_galleries);
   art.setOnClickListener(new Button.OnClickListener() {
        public void onClick(View v) {
        	openC_artActivity();
        }
    });
   
   final Button cinemas = (Button) findViewById(R.id.cinemas);
   cinemas.setOnClickListener(new Button.OnClickListener() {
        public void onClick(View v) {
        	openC_cinemaActivity();
        }
    });
   
   final Button centers = (Button) findViewById(R.id.centers);
   centers.setOnClickListener(new Button.OnClickListener() {
        public void onClick(View v) {
        	openC_centersActivity();
        }
    });
   
   final Button operas = (Button) findViewById(R.id.opera);
   operas.setOnClickListener(new Button.OnClickListener() {
        public void onClick(View v) {
        	openC_operasActivity();
        }
    });
    
  
	}
	
	private void openIndexActivity() {
    	startActivity(new Intent(this,Index.class));
    }
	
	private void openTram_mapActivity() {
    	startActivity(new Intent(this,Tram_map.class));
    }
    
    private void openBus_mapActivity() {
    	startActivity(new Intent(this,Bus_map.class));
    }
    
    private void openC_artActivity() {
    	startActivity(new Intent(this,C_art.class));
    }
    
    private void openC_cinemaActivity() {
    	startActivity(new Intent(this,C_cinema.class));
    }
    
    private void openC_centersActivity() {
    	startActivity(new Intent(this,C_centers.class));
    }
    
    private void openC_operasActivity() {
    	startActivity(new Intent(this,C_operas.class));
    }
	
	
}